<?xml version='1.0' encoding='UTF-8'?>

<Properties version="4.1">
	<Property name="ErrorSuppression" type="Boolean">false</Property>
	<Property name="IsModuleTemplate" type="Boolean">false</Property>
	<Property name="xslt.base64Zipped">true</Property>
	<Property name="xslt.ignoreInput">false</Property>
	<Property name="xslt.params" type="List">
		<Property name="var.configuration">var.configuration</Property>
	</Property>
	<Property name="xslt.saveAtServer">true</Property>
	<Property name="xslt.source">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;response>&lt;result>true&lt;/result>&lt;overallResult>true&lt;/overallResult>&lt;responses>&lt;response>&lt;result>true&lt;/result>&lt;body>&lt;queries/>&lt;total>0&lt;/total>&lt;/body>&lt;/response>&lt;/responses>&lt;log>&lt;entries/>&lt;/log>&lt;/response></Property>
	<Property name="xslt.sourceVariables" type="Map">
		<Property name="ISFileSize">240</Property>
		<Property name="ISCurrentTime" type="Long">1771342139881</Property>
		<Property name="ISWorkflowName">VAM_api_zzz_call_api</Property>
		<Property name="ISModuleName">VAM_zzz_test_validate_each_response</Property>
		<Property name="ISModuleId">438</Property>
		<Property name="ISProcessId">500502</Property>
		<Property name="ISUserName">ckaufhold</Property>
		<Property name="ISServerName">dev04.virtimo.net</Property>
		<Property name="ISNodeName">172.17.0.1</Property>
		<Property name="ISGlobalProcessId">500502</Property>
		<Property name="ISOverwriteSubWorkflowPriority" type="Boolean">false</Property>
		<Property name="var.configuration" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;root>&lt;queries>&lt;query>&lt;description/>&lt;/query>&lt;query>&lt;description>Orange&lt;/description>&lt;/query>&lt;query>&lt;description>Zitrone&lt;/description>&lt;/query>&lt;query>&lt;description>Apfelsine&lt;/description>&lt;/query>&lt;/queries>&lt;/root></Property>
		<Property name="var.userContext" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;userContext>&lt;login>bpcadmin&lt;/login>&lt;/userContext></Property>
		<Property name="var.organizationId">zzztest</Property>
		<Property name="var.ist" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;root>&lt;queries>&lt;query>&lt;description/>&lt;/query>&lt;query>&lt;description>Orange&lt;/description>&lt;/query>&lt;query>&lt;description>Zitrone&lt;/description>&lt;/query>&lt;query>&lt;description>Apfelsine&lt;/description>&lt;/query>&lt;/queries>&lt;/root></Property>
	</Property>
	<Property name="xslt.stylesheet" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" exclude-result-prefixes="#all" version="2.0">
  &lt;xsl:output method="xml" encoding="UTF-8"/>&lt;xsl:param name="var.configuration" as="element()"/>
  &lt;xsl:template match="/*">&lt;requests>&lt;xsl:variable name="var.existing" as="element()*" select="responses/response/body/queries/query"/>&lt;xsl:for-each select="$var.configuration/queries/query">&lt;request>&lt;context>query&lt;/context>&lt;xsl:variable name="var.old" select="$var.existing[description = current()/description]" as="element()?"/>&lt;method>&lt;xsl:value-of select="if (exists($var.old)) then 'update' else 'create'"/>&lt;/method>&lt;parameters>&lt;query>&lt;xsl:if test="exists($var.old)">&lt;xsl:sequence select="$var.old/id"/>&lt;/xsl:if>&lt;xsl:sequence select="*"/>&lt;/query>&lt;/parameters>&lt;/request>&lt;/xsl:for-each>&lt;/requests>
  &lt;/xsl:template>
&lt;/xsl:stylesheet></Property>
	<Property name="xslt.target"></Property>
	<Property name="xslt.transformer">net.sf.saxon.TransformerFactoryImpl</Property>
	<Property name="xslt_mode">NEW</Property>
</Properties>